
package com.tmerclub.cloud.order.vo;

import com.tmerclub.cloud.common.order.vo.OrderAddrVO;
import com.tmerclub.cloud.common.order.vo.OrderItemVO;
import io.swagger.v3.oas.annotations.media.Schema;

import java.io.Serial;
import java.io.Serializable;
import java.util.List;

/**
 * 订单项和地址
 *
 * @author tmerclub
 * @date 2021-02-22 14:13:50
 */
public class OrderItemWithAddressVO implements Serializable {
    @Serial
    private static final long serialVersionUID = 1L;
    @Schema(description = "订单项")
    private List<OrderItemVO> orderItems;

    @Schema(description = "订单地址")
    private OrderAddrVO orderAddr;

    public List<OrderItemVO> getOrderItems() {
        return orderItems;
    }

    public void setOrderItems(List<OrderItemVO> orderItems) {
        this.orderItems = orderItems;
    }

    public OrderAddrVO getOrderAddr() {
        return orderAddr;
    }

    public void setOrderAddr(OrderAddrVO orderAddr) {
        this.orderAddr = orderAddr;
    }

    @Override
    public String toString() {
        return "OrderItemWithAddressVO{" +
                "orderItems=" + orderItems +
                ", orderAddr=" + orderAddr +
                '}';
    }
}
